Debian Bug report logs - #533201
[virtinst] Windows XP works great with ACPI and APIC

version graph

Package: virtinst; Maintainer for virtinst is Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>; Source for virtinst is src:virt-manager.

Reported by: Laurent Léonard <laurent@open-minds.org>

Date: Mon, 15 Jun 2009 16:27:01 UTC

Severity: minor

Tags: fixed-upstream

Found in version virtinst/0.400.3-4

Fixed in version virtinst/0.400.3-5

Done: Guido Günther <agx@sigxcpu.org>

Bug is archived. No further changes may be made.

Forwarded to et-mgmt-tools@redhat.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#533201; Package virtinst. (Mon, 15 Jun 2009 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
New Bug report received and forwarded. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Mon, 15 Jun 2009 16:27:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: submit@bugs.debian.org
Subject: [virtinst] Windows XP works great with ACPI and APIC
Date: Mon, 15 Jun 2009 18:05:37 +0200
Package: virtinst
Version: 0.400.3-4
Severity: minor

--- Please enter the report below this line. ---
I'm using some Windows XP KVM virtual machines installed with the "Microsoft 
Windows 2003" variant (with ACPI and APIC enabled) and it works great for 
months ago. When I shut down the virtual machine from the libvirt the virtual 
machine correctly shuts down so ACPI is correctly supported. I don't know why 
ACPI and APIC were disabled for Windows XP but I think Windows XP and Windows 
Server 2003 both have the same support of ACPI and APIC so there is no reason 
to have specific options for Windows XP.

--- System information. ---
Architecture: amd64
Kernel:       Linux 2.6.29-2-amd64

Debian Release: squeeze/sid
  500 testing         trash-desktop 
    1 experimental    trash-desktop 

--- Package information. ---
Depends                 (Version) | Installed
=================================-+-============
python                   (>= 2.4) | 2.5.4-2
python-support        (>= 0.90.0) | 1.0.3
python-libvirt         (>= 0.4.6) | 0.6.3-4
python-libxml2                    | 2.7.3.dfsg-1
python-urlgrabber                 | 3.1.0-4


Recommends       (Version) | Installed
==========================-+-===========
virt-viewer                | 
qemu                       | 0.10.4-1


Package's Suggests field is empty.

-- 
Laurent Léonard




Noted your statement that Bug has been forwarded to et-mgmt-tools@redhat.com. Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Sat, 04 Jul 2009 16:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#533201; Package virtinst. (Sat, 04 Jul 2009 23:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Sat, 04 Jul 2009 23:24:02 GMT) Full text and rfc822 format available.

Message #12 received at 533201@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: 533201@bugs.debian.org
Subject: Only one variant for Windows XP
Date: Sun, 5 Jul 2009 01:22:49 +0200
[Message part 1 (text/plain, inline)]
I think there is no need to have a Windows XP variant for x86 and x86_64. Only 
one Windows XP variant with no specific option (like 2003 and Vista variants) 
should stay in the OS dictionary.

-- 
Laurent Léonard
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>:
Bug#533201; Package virtinst. (Tue, 14 Jul 2009 18:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laurent Léonard <laurent@open-minds.org>:
Extra info received and forwarded to list. Copy sent to Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>. (Tue, 14 Jul 2009 18:39:06 GMT) Full text and rfc822 format available.

Message #17 received at 533201@bugs.debian.org (full text, mbox):

From: Laurent Léonard <laurent@open-minds.org>
To: 533201@bugs.debian.org
Subject: Fixed in upstream
Date: Tue, 14 Jul 2009 20:36:40 +0200
[Message part 1 (text/plain, inline)]
http://hg.et.redhat.com/cgi-bin/hg-virt.cgi/applications/virtinst--devel/rev/3c68ba7758a6

-- 
Laurent Léonard
[signature.asc (application/pgp-signature, inline)]

Tags added: fixed-upstream Request was from Guido Günther <agx@sigxcpu.org> to control@bugs.debian.org. (Tue, 14 Jul 2009 22:09:06 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Laurent Léonard <laurent@open-minds.org> to control@bugs.debian.org. (Thu, 16 Jul 2009 19:33:05 GMT) Full text and rfc822 format available.

Reply sent to Guido Günther <agx@sigxcpu.org>:
You have taken responsibility. (Fri, 17 Jul 2009 10:51:06 GMT) Full text and rfc822 format available.

Notification sent to Laurent Léonard <laurent@open-minds.org>:
Bug acknowledged by developer. (Fri, 17 Jul 2009 10:51:06 GMT) Full text and rfc822 format available.

Message #26 received at 533201-close@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 533201-close@bugs.debian.org
Subject: Bug#533201: fixed in virtinst 0.400.3-5
Date: Fri, 17 Jul 2009 10:02:47 +0000
Source: virtinst
Source-Version: 0.400.3-5

We believe that the bug you reported is fixed in the latest version of
virtinst, which is due to be installed in the Debian FTP archive:

virtinst_0.400.3-5.diff.gz
  to pool/main/v/virtinst/virtinst_0.400.3-5.diff.gz
virtinst_0.400.3-5.dsc
  to pool/main/v/virtinst/virtinst_0.400.3-5.dsc
virtinst_0.400.3-5_all.deb
  to pool/main/v/virtinst/virtinst_0.400.3-5_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guido Günther <agx@sigxcpu.org> (supplier of updated virtinst package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jul 2009 10:24:16 +0200
Source: virtinst
Binary: virtinst
Architecture: source all
Version: 0.400.3-5
Distribution: unstable
Urgency: low
Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
Changed-By: Guido Günther <agx@sigxcpu.org>
Description: 
 virtinst   - Programs to create and clone virtual machines
Closes: 532531 533201 533539 535781
Changes: 
 virtinst (0.400.3-5) unstable; urgency=low
 .
   [ Guido Günther ]
   * [d1f073b] add Ubuntu Karmic to osdict (Closes: #532531) - thanks to
     Christophe Sauthier
   * [a008f8b] fix bridge names not ending with digit. Pulled from upstream.
     (Closes: #533539) - thanks to Cole Robinso for the fix and Andreas
     Unterkircher for testing
 .
   [ Laurent Léonard ]
   * [16b8a6c] Turn on ACPI/APIC for Windows, except for Xen < 3.1.0.
     Pulled from upstream. (Closes: #533201) - thanks to Cole Robinson
   * [3840c11] Add Windows 7 to the osdict. (Closes: #535781)
Checksums-Sha1: 
 398952b76d4a9639736096bd8c6eb7579048f11b 1305 virtinst_0.400.3-5.dsc
 1aeccc5cebc8b9c5dd87c04a55bbf17b64e3b667 9869 virtinst_0.400.3-5.diff.gz
 82c1a138d732ffef4a19b126c76d8c857acb597d 240588 virtinst_0.400.3-5_all.deb
Checksums-Sha256: 
 ac5db8e0695059e5d0898463f203f9d984f06eff133a8cb6054fc9ada8cbe7c4 1305 virtinst_0.400.3-5.dsc
 d3b11ed5b2c019f33c55c3b6d795207220be22f1150c7373a9c5c975c724e7ed 9869 virtinst_0.400.3-5.diff.gz
 bc75a7989ec727e9662ce4cf5e40134107635c4d237f75018d3382c78b36cffc 240588 virtinst_0.400.3-5_all.deb
Files: 
 b0a38c3eddf4f2544b41cbe84f025cc4 1305 admin extra virtinst_0.400.3-5.dsc
 248b846022a81b8be2c4bbc44d5ebf7b 9869 admin extra virtinst_0.400.3-5.diff.gz
 cc118326d6c49c0b086ddf4a1aadf355 240588 admin extra virtinst_0.400.3-5_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKYEosn88szT8+ZCYRAiC6AJ95HhMdFHymNfgPbsvvQRGD3JubTACdHCUI
Tn3xFxosYZ7RTOZIMyyL7O8=
=LPej
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Aug 2009 07:26:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 05:03:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.